define(['jquery'], function ($) {
    'use strict';
    $(document).bind("mobileinit", function () {
        $.mobile.ajaxEnabled = false;
        $.mobile.linkBindingEnabled = false;
        $.mobile.hashListeningEnabled = false;
        $.mobile.pushStateEnabled = false;
        $.support.cors = true;
        $.mobile.allowCrossDomainPages = true;
        //$.mobile.defaultPageTransition = 'flip';
        $.mobile.buttonMarkup.hoverDelay = 0;
        // Remove page from DOM when it's being replaced
        $(document).on("pagecontainerhide", function (event, ui) {
            //ui.prevPage.remove();
            $("div[data-role='page'][stay-in-page='false']:not(.ui-page-active)").remove();
        });
    });
});